Go to the latest version of this document.

# ``twisted`.`web`.`template`.`XMLFile``

class documentation

`class XMLFile: (source)`

Constructor: `XMLFile(path)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads and parses XML from a file.

Method | `__init__` | Run the parser on a file.
Method | `__repr__` | Undocumented
Method | `load` | Return the document, first loading it if necessary.
Method | `_loadDoc` | Read and parse the XML.
Instance Variable | `_loadedTemplate` | The loaded document, or `None`, if not loaded.
Instance Variable | `_path` | The file that is being loaded from.

def __init__(self, path: `FilePath[Any]`): (source)

Run the parser on a file.

Parameters
path:`FilePath[Any]` | The file from which to load the XML.

def __repr__(self) -> `str`: (source)

Undocumented

def load(self) -> `list[Flattenable]`: (source)
from `twisted.web.iweb.ITemplateLoader`

Return the document, first loading it if necessary.

Returns
`list[Flattenable]` | the loaded document.

def _loadDoc(self) -> `list[Flattenable]`: (source)

Read and parse the XML.

Returns
`list[Flattenable]` | the loaded document.

_loadedTemplate: `list[Flattenable] | None` = (source)

The loaded document, or `None`, if not loaded.

_path: `FilePath[Any]` = (source)

The file that is being loaded from.